Skip to main content
DocsAPI Reference

API Reference

This API reference describes the RESTful, streaming, and real-time APIs you can use to interact with the DeepAILab platform.

Authentication

The DeepAILab API uses API keys for authentication. Create, manage, and learn more about API keys in your organization settings.

Keep your API key secure. Do not share it with others or expose it in any client-side code (browsers, apps). API keys should be securely loaded from an environment variable or key management service on the server.

Bearer Token Authentication

Authorization: Bearer DEEPAILAB_API_KEY

Using SDKs

Official libraries for Python and JavaScript.

Initialize.curl
curl https://deepailab.ai/v1/models \
 -H "Authorization: Bearer $DEEPAILAB_API_KEY"

Debugging Requests

In addition to error codes returned from API responses, you can inspect HTTP response headers containing the unique ID of a particular API request or information about rate limiting applied to your requests.

API Meta Information

HeaderDescription
x-request-idUnique identifier for this API request (used in troubleshooting)
deepailab-organizationThe organization associated with the request
deepailab-processing-msTime taken processing your API request
deepailab-versionREST API version used for this request

Rate Limiting Information

HeaderDescription
x-ratelimit-limit-requestsMaximum requests allowed per time window
x-ratelimit-limit-tokensMaximum tokens allowed per time window
x-ratelimit-remaining-requestsRemaining requests in current window
x-ratelimit-remaining-tokensRemaining tokens in current window
x-ratelimit-reset-requestsTime until request limit resets
x-ratelimit-reset-tokensTime until token limit resets

API Endpoints

Direct links to specific resource documentation.